NullFieldMappingIO Class Reference
Classes and functions used to implement this library » Field IO classes under-the-hood

`#include <FieldMappingIO.h>`

Inheritance diagram for NullFieldMappingIO:

## Public Types

typedef NullFieldMappingIO | class_type
typedef boost::intrusive_ptr< NullFieldMappingIO > | Ptr
Public Types inherited from FieldMappingIO
typedef FieldMappingIO | class_type
typedef boost::intrusive_ptr< FieldMappingIO > | Ptr
Public Types inherited from RefBase
typedef boost::intrusive_ptr< RefBase > | Ptr
typedef boost::weak_ptr< RefBase > | WeakPtr

## Public Member Functions

virtual std::string | className () const
| Returns the class name.
| NullFieldMappingIO ()
| Ctor.
virtual FieldMapping::Ptr | read (const OgIGroup &mappingGroup)
| Reads the field mapping and tries to create a NullFieldMapping object from it.
virtual FieldMapping::Ptr | read (hid_t mappingGroup)
| Reads the field mapping and tries to create a NullFieldMapping object from it.
virtual bool | write (hid_t mappingGroup, FieldMapping::Ptr mapping)
| Writes the given field mapping to disk.
virtual bool | write (OgOGroup &mappingGroup, FieldMapping::Ptr mapping)
| Writes the given field mapping to disk.
Public Member Functions inherited from FieldMappingIO
| FieldMappingIO ()
| Ctor.
virtual | ~FieldMappingIO ()
| Dtor.
Public Member Functions inherited from RefBase
void | ref () const
| Used by boost::intrusive_pointer.
size_t | refcnt ()
| Used by boost::intrusive_pointer.
void | unref () const
| Used by boost::intrusive_pointer.
WeakPtr | weakPtr () const
| RefBase ()
| RefBase (const RefBase &)
| Copy constructor.
RefBase & | operator= (const RefBase &)
| Assignment operator.
virtual | ~RefBase ()
| Destructor.
virtual bool | checkRTTI (const char *typenameStr)=0
| This function is only implemented by concrete classes and triggers the actual RTTI check through matchRTTI();.
bool | matchRTTI (const char *typenameStr)
| Performs a check to see if the given typename string matches this class' This needs to be implemented in -all- subclasses, even abstract ones.

## Static Public Member Functions

static FieldMappingIO::Ptr | create ()
static const char * | staticClassType ()
Static Public Member Functions inherited from FieldMappingIO
static const char * | staticClassType ()
| RTTI replacement.
static const char * | staticClassType ()

## Public Attributes

| DEFINE_FIELD_RTTI_CONCRETE_CLASS
Public Attributes inherited from FieldMappingIO
| DEFINE_FIELD_RTTI_ABSTRACT_CLASS

## Private Types

typedef FieldMappingIO | base
| Convenience typedef for referring to base class.

## Detailed Description

Handles IO for a NullFieldMapping object

Definition at line 138 of file FieldMappingIO.h.

## Member Typedef Documentation

## Ptr

typedef boost::intrusive_ptr<NullFieldMappingIO> NullFieldMappingIO::Ptr

Definition at line 145 of file FieldMappingIO.h.

## class_type

typedef NullFieldMappingIO NullFieldMappingIO::class_type

Definition at line 149 of file FieldMappingIO.h.

## base

typedef FieldMappingIO NullFieldMappingIO::base

private

Convenience typedef for referring to base class.

Definition at line 195 of file FieldMappingIO.h.

## Constructor & Destructor Documentation

## NullFieldMappingIO()

NullFieldMappingIO::NullFieldMappingIO | ( |  | ) |

inline

Ctor.

Definition at line 160 of file FieldMappingIO.h.

: FieldMappingIO()
{ }
FieldMappingIO::FieldMappingIO
FieldMappingIO()
Ctor.
Definition FieldMappingIO.h:87

References FieldMappingIO::FieldMappingIO().

Referenced by create().

## Member Function Documentation

## staticClassType()

const char * NullFieldMappingIO::staticClassType | ( |  | ) |

inline static

Definition at line 152 of file FieldMappingIO.h.

{
return "NullFieldMappingIO";
}

## create()

FieldMappingIO::Ptr NullFieldMappingIO::create | ( |  | ) |

inline static

Definition at line 164 of file FieldMappingIO.h.

{ return Ptr(new NullFieldMappingIO); }
NullFieldMappingIO::Ptr
boost::intrusive_ptr< NullFieldMappingIO > Ptr
Definition FieldMappingIO.h:145
NullFieldMappingIO::NullFieldMappingIO
NullFieldMappingIO()
Ctor.
Definition FieldMappingIO.h:160

References NullFieldMappingIO().

Referenced by initIO().

## read() [1/2]

FieldMapping::Ptr NullFieldMappingIO::read | ( | hid_t | mappingGroup | ) |

virtual

Reads the field mapping and tries to create a NullFieldMapping object from it.

Returns
  Null if no object was read

Implements FieldMappingIO.

Definition at line 88 of file FieldMappingIO.cpp.

{
string nfmData;
if (!readAttribute(mappingGroup, k_nullMappingDataName, nfmData)) {
Msg::print(Msg::SevWarning, "Couldn't read attribute " + k_nullMappingDataName);
return NullFieldMapping::Ptr();
}
return NullFieldMapping::Ptr(new NullFieldMapping);
}
NullFieldMapping::Ptr
boost::intrusive_ptr< NullFieldMapping > Ptr
Convenience typedef.
Definition FieldMapping.h:243
Hdf5Util::readAttribute
FIELD3D_API bool readAttribute(hid_t location, const std::string &attrName, std::string &value)
Reads a string attribute.
Msg::SevWarning
@ SevWarning
Definition Log.h:68
Msg::print
FIELD3D_API void print(Severity severity, const std::string &message)
Sends the string to the assigned output, prefixing the message with the severity.
Definition Log.cpp:70

References Msg::print(), Hdf5Util::readAttribute(), and Msg::SevWarning.

## read() [2/2]

FieldMapping::Ptr NullFieldMappingIO::read | ( | const OgIGroup & | mappingGroup | ) |

virtual

Reads the field mapping and tries to create a NullFieldMapping object from it.

Returns
  Null if no object was read

Implements FieldMappingIO.

Definition at line 101 of file FieldMappingIO.cpp.

{
OgIAttribute<string> data =
mappingGroup.findAttribute<string>(k_nullMappingDataName);
if (!data.isValid()) {
Msg::print(Msg::SevWarning, "Couldn't read attribute " +
k_nullMappingDataName);
return NullFieldMapping::Ptr();
}
return NullFieldMapping::Ptr(new NullFieldMapping);
}

References Msg::print(), and Msg::SevWarning.

## write() [1/2]

bool NullFieldMappingIO::write | ( | hid_t | mappingGroup,
|  | FieldMapping::Ptr | mapping )

virtual

Writes the given field mapping to disk.

Returns
  true if successful, otherwise false

Implements FieldMappingIO.

Definition at line 116 of file FieldMappingIO.cpp.

{
string nfmAttrData("NullFieldMapping has no data");
if (!writeAttribute(mappingGroup, k_nullMappingDataName, nfmAttrData)) {
Msg::print(Msg::SevWarning, "Couldn't add attribute " + k_nullMappingDataName);
return false;
}
return true;
}
Hdf5Util::writeAttribute
FIELD3D_API bool writeAttribute(hid_t location, const std::string &attrName, const std::string &value)
Writes a string attribute.

References Msg::print(), Msg::SevWarning, and Hdf5Util::writeAttribute().

## write() [2/2]

bool NullFieldMappingIO::write | ( | OgOGroup & | mappingGroup,
|  | FieldMapping::Ptr | mapping )

virtual

Writes the given field mapping to disk.

Returns
  true if successful, otherwise false

Implements FieldMappingIO.

Definition at line 129 of file FieldMappingIO.cpp.

{
string nfmAttrData("NullFieldMapping has no data");
OgOAttribute<string> data(mappingGroup, k_nullMappingDataName, nfmAttrData);
return true;
}

## className()

std::string NullFieldMappingIO::className | ( |  | ) | const

virtual

Returns the class name.

Implements FieldMappingIO.

Definition at line 138 of file FieldMappingIO.cpp.

{
return k_nullMappingName;
}
FIELD3D_NAMESPACE_OPEN::k_nullMappingName
const string k_nullMappingName("NullFieldMapping")

## Member Data Documentation

## DEFINE_FIELD_RTTI_CONCRETE_CLASS

NullFieldMappingIO::DEFINE_FIELD_RTTI_CONCRETE_CLASS

Definition at line 150 of file FieldMappingIO.h.

The documentation for this class was generated from the following files:

- export/FieldMappingIO.h
- src/FieldMappingIO.cpp